package com.gct.centralbase.controller;

import com.gct.centralbase.service.CreateTableService;
import com.gct.common.core.result.Result;
import io.swagger.annotations.Api;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * class name: EnableOrPauseController
 *
 * @author gxt
 * @version 1.0
 * @since 2021/8/12 下午3:36 周四
 */
@RestController
@RequestMapping("/CreateTable")
@Api(value = "CreateTableController", description = "调用存储过程的controller")
public class CreateTableController {

    @Autowired
    CreateTableService createTableService;

    @GetMapping("/createTable")
    public void createTable(@RequestParam("startDate") String startDate,@RequestParam("enddate") String endDate){
        createTableService.createTableWithCbRunTime(startDate,endDate);
    }

}
