package com.gct.centralbase.entity.Vo;

import io.swagger.annotations.ApiModel;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.time.LocalDateTime;

/**
 * class name: AccessWellInfoVo
 *
 * @author gxt
 * @version 1.0
 * @since 2021/9/23 下午4:52 周四
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="AccessWellInfoVo", description="接入井")
public class AccessWellInfoVo {

    private String orgId;

    private String wellId;

    private String wellCommonName;

    private LocalDateTime startDate;

    private LocalDateTime endDate;

    private Integer cuttentPage;

    private Integer pageSize;

    private String  remarks;

    private Integer accessStatus;

    private String accessStatusMsg;
}
