package com.gct.centralbase.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.gct.centralbase.entity.CbPcProWellMeterTeam;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.time.LocalDateTime;

/**
 * <p>
 * 人工计产数据 服务类
 * </p>
 *
 * @author wsy
 * @since 2021-09-10
 */
@Mapper
public interface CbPcProWellMeterTeamMapper extends BaseMapper<CbPcProWellMeterTeam> {



    /**
     * 针对量液服务获取计产数据
     * @param wellName
     * @param dateTime
     * @return
     */
    CbPcProWellMeterTeam getWellMeterTeamForCalProduction(@Param("wellId") String wellName,@Param("prodDate") String dateTime);

    int deletecbPcProWellMeterTeam(@Param("wellId") String wellid,@Param("prodDate") LocalDateTime dateTime);


}
