package com.gct.centralbase.entity.Vo;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.format.DateTimeFormat;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;

/**
 * class name: SysAccessWell
 *
 * @author gxt
 * @version 1.0
 * @since 2021/9/22 上午11:18 周三
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="SysAccessWell对象", description="接入井")
@NoArgsConstructor
@AllArgsConstructor
public class AccessWellExcelVo {

    @ExcelProperty(value = "井号", index = 0)
    @ApiModelProperty(value = "井号")
    private String wellId;

    @ExcelProperty(value = "井接入日期", index = 1)
    @ApiModelProperty(value = "井接入日期")
    //@DateTimeFormat("yyyy-MM-dd HH:mm:ss")
    private String accessDate;

    @ExcelIgnore
    @ApiModelProperty(value = "井接入状态；0 未接入, 1 已接入")
    private Integer accessStatus;

    @ExcelProperty(value = "井接入状态", index = 2)
    @ApiModelProperty(value = "井接入状态；0 未接入, 1 已接入")
    private String accessStatusMsg;


    @ExcelProperty(value = "作业区", index = 3)
    @ApiModelProperty(value = "作业区")
    private String zyq;

    @ExcelProperty(value = "井区", index = 4)
    @ApiModelProperty(value = "井区")
    private String jq;

    @ExcelProperty(value = "站点", index = 5)
    @ApiModelProperty(value = "站点")
    private String zd;

    @ExcelProperty(value = "备注", index = 6)
    @ApiModelProperty(value = "备注")
    private String remarks;

}
