package com.gct.centralbase.service;

import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.gct.centralbase.entity.CbPcProWellMeterTeam;
import com.gct.common.core.result.Result;

import java.time.LocalDateTime;
import java.util.List;

/**
 * <p>
 * 人工计产数据 服务类
 * </p>
 *
 * @author wsy
 * @since 2021-09-10
 */
public interface CbPcProWellMeterTeamService extends IService<CbPcProWellMeterTeam> {

    /**
     * 针对量液服务获取计产数据
     * @param wellName
     * @param dateTime
     * @return
     */
    Result getWellMeterTeamForCalProduction(String wellName,String dateTime);

    Page<CbPcProWellMeterTeam> getList(JSONObject jsonObject);

    boolean saveData(CbPcProWellMeterTeam cbPcProWellMeterTeam);

    List<CbPcProWellMeterTeam> findCbcbPcProWellMeterTeam(String wellId, LocalDateTime prodDate);

    Result deletecbPcProWellMeterTeam(String wellid,LocalDateTime prodDate);

}
